# Uses of Interface
org.springframework.http.server.RequestPath

Packages that use RequestPath
Package
Description
org.springframework.http.server
Contains an abstraction over server-side HTTP.
org.springframework.http.server.reactive
Abstractions for reactive HTTP server support including a `ServerHttpRequest` and `ServerHttpResponse` along with an `HttpHandler` for processing.
org.springframework.web.util
Miscellaneous web utility classes, such as HTML escaping and cookie handling.

## Uses of RequestPath in org.springframework.http.server

Methods in org.springframework.http.server that return RequestPath
Modifier and Type
Method
Description
`RequestPath`
RequestPath.`modifyContextPath(String contextPath)`
Return a new `RequestPath` instance with a modified context path.
`static RequestPath`
RequestPath.`parse(String rawPath, String contextPath)`
Variant of `parse(URI, String)` with the encoded `raw path`.
`static RequestPath`
RequestPath.`parse(URI uri, String contextPath)`
Parse the URI for a request into a `RequestPath`.

## Uses of RequestPath in org.springframework.http.server.reactive

Methods in org.springframework.http.server.reactive that return RequestPath
Modifier and Type
Method
Description
`RequestPath`
AbstractServerHttpRequest.`getPath()`
`RequestPath`
ServerHttpRequest.`getPath()`
Returns a structured representation of the full request path up to but not including the `query`.
`RequestPath`
ServerHttpRequestDecorator.`getPath()`

## Uses of RequestPath in org.springframework.web.util

Methods in org.springframework.web.util that return RequestPath
Modifier and Type
Method
Description
`static RequestPath`
ServletRequestPathUtils.`getParsedRequestPath(ServletRequest request)`
Return a `previously` parsed and cached `RequestPath`.
`static RequestPath`
ServletRequestPathUtils.`parseAndCache(HttpServletRequest request)`
Parse the `requestURI` to a `RequestPath` and save it in the request attribute `ServletRequestPathUtils.PATH_ATTRIBUTE` for subsequent use with `parsed patterns`.
Methods in org.springframework.web.util with parameters of type RequestPath
Modifier and Type
Method
Description
`static void`
ServletRequestPathUtils.`setParsedRequestPath(RequestPath requestPath, ServletRequest request)`
Set the cached, parsed `RequestPath` to the given value.